
get
/v4/chains/
List chains supported and integrated by Merkl. Use query parameters to filter by test chains or other criteria.
Query parameters
namestringSearch by blockchain name
testbooleandefault: falseIncludes chains that have only test opportunities.
Responses
200Response for status 200
Schema
object[]
idintegerChain IdnamestringLegible name of the chainiconstringURL to the icon of the chainliveCampaignsnumberNumber of campaigns currently live on this chainendOfDisputePeriodnumberexplorersobject[]
typeenumETHERSCANBLOCKSCOUTSOLSCANurlstringchainIdnumberlastClaimsOnchainFetchTimestampstring | nullTimestamp of the last claims onchain fetchExample
[
{
"id": 0,
"name": "string",
"icon": "string",
"liveCampaigns": 0,
"endOfDisputePeriod": 0,
"explorers": [
{
"type": "ETHERSCAN",
"url": "string",
"chainId": 0
}
],
"lastClaimsOnchainFetchTimestamp": "string"
}
]get
https://api.merkl.xyz/v4/chains/?test=curl -X GET "https://api.merkl.xyz/v4/chains/?test=false"